package dao;

import model.Disponibilitat;

import org.apache.log4j.Logger;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import util.HibernateUtil;

public class DisponibilitatDAOImpl implements DisponibilitatDAO{
	SessionFactory sessionFactory;
	@Autowired
	
	 private static final Logger logger = Logger.getLogger(DisponibilitatDAOImpl.class);
	 	@Transactional
	 	
	 	public void setSessionFactory(SessionFactory sf) {
			
			this.sessionFactory=sf;
		}
	 	
	 	@Override
		public Disponibilitat getDisponibilitatById(int idDisponibilitat) {
	 		logger.debug("DisponibilitatBOImpl");
			Disponibilitat disp=new Disponibilitat();
	        Session session = HibernateUtil.getSessionFactory().openSession();
	        
	        try {
	        	session.beginTransaction();
	        	disp = (Disponibilitat) session.get(Disponibilitat.class,idDisponibilitat);
	        	session.getTransaction().commit();
	        } catch (HibernateException e) {
	        	session.getTransaction().rollback();
	        } finally {
	        	session.close();
	        }
	        
			return disp;
		}

}
