package dao;

import model.DisponibilitatHasPersona;


import org.apache.log4j.Logger;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import util.HibernateUtil;

public class DisponibilitatHasPersonaDAOImpl implements DisponibilitatHasPersonaDAO{
	
	SessionFactory sessionFactory;
	@Autowired	
	 private static final Logger logger = Logger.getLogger(DisponibilitatHasPersonaDAOImpl.class);
	 @Transactional
	 public void setSessionFactory(SessionFactory sf) {
		
			this.sessionFactory=sf;
		}
	@Transactional
	public void guardarDisponibilitat(DisponibilitatHasPersona dhp) {
		Session session = HibernateUtil.getSessionFactory().openSession();
	     session.beginTransaction();
	     session.save(dhp);
	     session.flush();
	     session.getTransaction().commit();	
		
	}

}
