package dao;

import org.apache.log4j.Logger;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import model.HistoricCanvis;
import util.HibernateUtil;

public class HistoricCanvisDAOImpl extends HibernateUtil implements HistoricCanvisDAO {

	SessionFactory sessionFactory;
	@Autowired	
	 private static final Logger logger = Logger.getLogger(PersonaDAOImpl.class);
	 @Transactional
	 public void setSessionFactory(SessionFactory sf) {
		
			this.sessionFactory=sf;
		}
	@Transactional
	public void guardarHistoric(HistoricCanvis hc) {
		Session session = HibernateUtil.getSessionFactory().openSession();
	     session.beginTransaction();
	     session.save(hc);
	     session.flush();
	     session.getTransaction().commit();	
		
	}

}
