package informes.actions;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.apache.log4j.Logger;

import model.Persona;

import bo.PersonaBO;

import com.opensymphony.xwork2.ActionSupport;

public class AniversarisAction extends ActionSupport{

	 private static final Logger logger = Logger.getLogger(AniversarisAction.class);
	private static final long serialVersionUID = 1L;
	private String dia;
	private String mes;
	private String nom;
	private String cognom1;
	private String cognom2;
	private Date dataNaixament;
	Persona persona;
	PersonaBO personaBO;
	List<Persona> lpersonas=new ArrayList<Persona>();
	
	public String execute() throws Exception
	{
			logger.debug("el dia="+dia+" y su longitud es="+dia.length());
			logger.debug("el mes="+dia+" y su longitud es="+mes.length());
			lpersonas=personaBO.aniversaris(dia,mes);
			return "success";
	}
	
	
	
	
	public String getDia() {
		return dia;
	}
	public void setDia(String dia) {
		this.dia = dia;
	}
	public String getMes() {
		return mes;
	}
	public void setMes(String mes) {
		this.mes = mes;
	}
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public String getCognom1() {
		return cognom1;
	}
	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}
	public String getCognom2() {
		return cognom2;
	}
	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}
	public Date getDataNaixament() {
		return dataNaixament;
	}
	public void setDataNaixament(Date dataNaixament) {
		this.dataNaixament = dataNaixament;
	}
	public Persona getPersona() {
		return persona;
	}
	public void setPersona(Persona persona) {
		this.persona = persona;
	}
	public PersonaBO getPersonaBO() {
		return personaBO;
	}
	public void setPersonaBO(PersonaBO personaBO) {
		this.personaBO = personaBO;
	}
	public List<Persona> getLpersonas() {
		return lpersonas;
	}
	public void setLpersonas(List<Persona> lpersonas) {
		this.lpersonas = lpersonas;
	}
	

}
