package model;
import java.util.HashSet;
import java.util.Set;

import org.apache.log4j.Logger;

public class Categoria implements java.io.Serializable {

	 private static final Logger logger = Logger.getLogger(Servei.class);

	private static final long serialVersionUID = 1L;
	private int idCategoria;
	private String nomCategoria;
	private Set<Servei> serveis = new HashSet<Servei>(0);

	public Categoria() {
		logger.debug("QQQQQQQQQQQQQQQQQQQQQ - Constructor Categoria()");
	}

	public Categoria(String categoria) {
		this.nomCategoria = categoria;
	}

	public Categoria(String categoria, Set<Servei> serveis) {
		this.nomCategoria = categoria;
		this.serveis = serveis;
	}

	public int getIdCategoria() {
		return this.idCategoria;
	}

	public void setIdCategoria(int idCategoria) {
		this.idCategoria = idCategoria;
	}

	public String getNomCategoria() {
		return this.nomCategoria;
	}

	public void setNomCategoria(String categoria) {
		this.nomCategoria = categoria;
	}

	public Set<Servei> getServeis() {
		return this.serveis;
	}

	public void setServeis(Set<Servei> serveis) {
		this.serveis = serveis;
	}

}
