package model;


import java.util.Date;


public class Valoracio implements java.io.Serializable {

	
	private static final long serialVersionUID = 1L;
	private int idValoracio;
	private Solicitud solicitud;
	private Persona persona;
	private Date dataValoracio;
	private String valoracio;

	public Valoracio() {
	}

	public Valoracio(Solicitud solicitud, Persona persona) {
		this.solicitud = solicitud;
		this.persona = persona;
	}

	public Valoracio(Solicitud solicitud, Persona persona, Date dataValoracio,
			String valoracio) {
		this.solicitud = solicitud;
		this.persona = persona;
		this.dataValoracio = dataValoracio;
		this.valoracio = valoracio;
	}

	public int getIdValoracio() {
		return this.idValoracio;
	}

	public void setIdValoracio(int idValoracio) {
		this.idValoracio = idValoracio;
	}

	public Solicitud getSolicitud() {
		return this.solicitud;
	}

	public void setSolicitud(Solicitud solicitud) {
		this.solicitud = solicitud;
	}

	public Persona getPersona() {
		return this.persona;
	}

	public void setPersona(Persona persona) {
		this.persona = persona;
	}

	public Date getDataValoracio() {
		return this.dataValoracio;
	}

	public void setDataValoracio(Date dataValoracio) {
		this.dataValoracio = dataValoracio;
	}

	public String getValoracio() {
		return this.valoracio;
	}

	public void setValoracio(String valoracio) {
		this.valoracio = valoracio;
	}

}
