package servei.actions;

import model.Categoria;

import model.Servei;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import bo.CategoriaBO;
import bo.ServeiBO;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


import org.apache.log4j.Logger;

public class AltaServeiAction extends ActionSupport implements ModelDriven<Servei>{

	private static final long serialVersionUID = 1L;
	private static final Logger logger = Logger.getLogger(AltaServeiAction.class);
	

	private Servei servei;
	List<Categoria> lcategorias=new ArrayList<Categoria>();

	Integer idCategoria;
	ServeiBO serveiBO;
	CategoriaBO categoriaBO;
	private String nomServei;
	private String descripcio;
	
	

	
	public Integer getIdCategoria() {
		return idCategoria;
	}

	public void setIdCategoria(Integer idCategoria) {
		this.idCategoria = idCategoria;
	}

	public List<Categoria> getLcategorias() {
		return lcategorias;
	}

	public void setLcategorias(List<Categoria> lcategorias) {
		this.lcategorias = lcategorias;
	}
	
	public CategoriaBO getCategoriaBO() {
		return categoriaBO;
	}

	public void setCategoriaBO(CategoriaBO categoriaBO) {
		this.categoriaBO = categoriaBO;
	}

	public ServeiBO getServeiBO() {
		return serveiBO;
	}
	

	public void setServeiBO(ServeiBO serveiBO) {
		this.serveiBO = serveiBO;
	}
	
	
	@Override
	public String execute() throws Exception
	{
			 Integer id;
			 Date hoy = new Date();
			 servei=new Servei(categoriaBO.getCategoriaById(idCategoria), nomServei, descripcio, hoy,null,null,null);
			 id=serveiBO.altaServei(servei);
			 return SUCCESS;
	}	
	
	public String getNomServei()
	{
		return nomServei;
	}
	
	public void setNomServei(String nomServei) {
		this.nomServei = nomServei;
	}


	public String getDescripcio() {
		return descripcio;
	}


	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

		@Override
		public void validate()
		{
			logger.debug("AltaServeiAction - validate()");
		}
	
		public Servei getModel() {
			
			return servei;
		}
	
}
