package servei.actions;

import java.util.List;

import model.Servei;

import org.apache.log4j.Logger;

import bo.ServeiBO;

import com.opensymphony.xwork2.ActionSupport;

public class BaixaServeiAction extends ActionSupport {	

	private static final long serialVersionUID = 1L;
	private static final Logger logger = Logger.getLogger(BaixaServeiAction.class);
	ServeiBO serveiBO;
	String idServei;
	List<Servei> lserveis;
	
	
	public String getIdServei() {
		
		return idServei;
	}

	public void setIdServei(String idServei) {
		
		this.idServei = idServei;
	}
		
	public List<Servei> getLserveis() {
		return lserveis;
	}

	public void setLserveis(List<Servei> lserveis) {
		
		this.lserveis = lserveis;
	}

	public ServeiBO getServeiBO() {
		return serveiBO;
	}

	public void setServeiBO(ServeiBO serveiBO) {
		this.serveiBO = serveiBO;
	}


	public static Logger getLogger() {
		return logger;
	}

	@Override
	public String execute() throws Exception
	{
			
		serveiBO.baixaServeiById(Integer.parseInt(idServei));
		return "success";
	}	
	
	@Override
	public void validate()
	{
		//logger.debug("AltaServeiAction - validate()");
	}

	

}
