package servei.actions;


import java.util.List;
import java.util.Map;
import org.apache.struts2.interceptor.SessionAware;
import org.apache.log4j.Logger;

import com.opensymphony.xwork2.ActionSupport;
import model.Categoria;
import model.Servei;

import bo.CategoriaBO;
import bo.ServeiBO;


public class ServeisAction extends ActionSupport implements SessionAware{

	
	private static final long serialVersionUID = 1L;
	

	private static final Logger logger = Logger.getLogger(ServeisAction.class);
	private String opcioServei;
	Map<String,Object> map;
	CategoriaBO categoriaBO;
	Servei servei;
	private String idServei;
	ServeiBO serveiBO;	
	public List<Categoria> lcategorias;
	
	
	public List<Categoria> getLcategorias() {
		return lcategorias;
	}
	public void setLcategorias(List<Categoria> lc)
	{
		this.lcategorias=lc;
	}

	public void setCategoriaBO(CategoriaBO catBO) {
		
		this.categoriaBO = catBO;
	}
	
	public CategoriaBO getCategoriaBO() {

		return categoriaBO;
	}
		
	// Noms serveixen per redirigir
	public String maltaServei()
	{		
		lcategorias=categoriaBO.listCategories();		
		return "success";
	}
	public String mbaixaServei()
	{
		lcategorias=categoriaBO.listCategories();	
		map.put("opcioServei","eliminar");
		return "success";
	}
	public String mconsultarServei()
	{
		lcategorias=categoriaBO.listCategories();	
		map.put("opcioServei","consultar");
		return "success";
	}
	
	
	public String meditarServei()
	{		
		lcategorias=categoriaBO.listCategories();	
		map.put("opcioServei","editar");
		return "success";
	}	
	
	public String editarServei()
	{
		servei=serveiBO.buscarServeiById(Integer.parseInt(idServei));
		return "success";
	}
	public String eliminarServei()
	{
		servei=serveiBO.buscarServeiById(Integer.parseInt(idServei));
		return "success";
	}

	@Override
	public void validate()
	{
		logger.debug("QQQQQQQQQQQQQQQQQQQQQEL VALIDATE DEL ACTION");
		
	}
	
	
	public ServeiBO getServeiBO() {
		return serveiBO;
	}
	public void setServeiBO(ServeiBO serveiBO) {
		this.serveiBO = serveiBO;
	}
	public String getOpcioServei() {
		return opcioServei;
	}
	public void setOpcioServei(String opcioServei) {
		this.opcioServei = opcioServei;
	}

	public void setSession(Map<String, Object> map) {
		this.map=map;
		
	}
	public Map<String, Object> getMap() {
		return map;
	}
	public void setMap(Map<String, Object> map) {
		this.map = map;
	}
	public Servei getServei() {
		return servei;
	}
	public void setServei(Servei servei) {
		this.servei = servei;
	}
	public String getIdServei() {
		return idServei;
	}
	public void setIdServei(String idServei) {
		this.idServei = idServei;
	}
	
}
