package voluntari.actions;

import bo.PersonaBO;
import org.apache.log4j.Logger;
import model.Persona;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;


public class AltaPersonaAction extends ActionSupport  implements ModelDriven<Persona>{
	
		private static final long serialVersionUID = 1L;
		PersonaBO personaBO;
		private Persona persona=new Persona();
		
		 private static final Logger logger = Logger.getLogger(AltaPersonaAction.class);
		
		 public void setPersonaBO (PersonaBO p)
		 {
			 this.personaBO=p;
		 }
		 public PersonaBO getPersonaBO()
		 {
			 return personaBO;
		 }
		
		 public Persona getModel()
		 {
				return persona;
		}
		
		 @Override
		public String execute() throws Exception
		{
			 Integer id;
			 id=personaBO.altaVoluntari1(persona);
			 //personaBO.altaVoluntari1
			 logger.debug("el id retornado es= " + id);
			 return SUCCESS;
	 	}
		
		@Override
		public void validate()
		{
			logger.debug("EL VALIDATE DEL ACTION");
		}
}
