package actions;

import com.opensymphony.xwork2.ActionSupport;

import bo.PersonaBO;

public class LoginAction extends ActionSupport{

		private static final long serialVersionUID = 1L;
		private String usuari;
	    private String contrassenya;
	    PersonaBO personaBO;
	    public String execute() { 	
	    	
	    	  if(personaBO.validar(usuari, contrassenya)){  
	    	        return SUCCESS;  
	    	    }  
	    	    else{  
	    	        return ERROR;  
	    	    }  
	    }
	    public void setPersonaBO (PersonaBO p)
		 {
			 this.personaBO=p;
		 }
		 public PersonaBO getPersonaBO()
		 {
			 return personaBO;
		 }

		public String getUsuari() {
			return usuari;
		}

		public void setUsuari(String usuari) {
			this.usuari = usuari;
		}

		public String getContrassenya() {
			return contrassenya;
		}

		public void setContrassenya(String contrassenya) {
			this.contrassenya = contrassenya;
		}

		@Override
	    public void validate()
	    {
	    	if (usuari.isEmpty())
	    	{
	    		   addFieldError( "usuari", "S'ha d'introdur un nom d'usuari" );
	    	}
	    	if (contrassenya.isEmpty())
	    	{
	    		   addFieldError( "contrassenya", "S'ha d'introdur una contrassenya" );
	    	}
	    }
	}
	
	
	

