package bo;

import java.util.List;

import bo.PersonaBO;
import model.Persona;
import dao.PersonaDAO;
import org.apache.log4j.Logger;

public class PersonaBOImpl implements PersonaBO{
	 private static final Logger logger = Logger.getLogger(PersonaBOImpl.class);
	PersonaDAO personaDAO;
	//DI via Spring
	public void setPersonaDAO(PersonaDAO personaDAO) {
		logger.debug("setPersonaDAO .......");
		this.personaDAO = personaDAO;
	}
 

	public int altaVoluntari1(Persona persona){
		logger.debug("abriendo el sessionFactory  BOImpl.......");
		return personaDAO.altaVoluntari1(persona);
	}
 
	public boolean validar(String usuari, String contrassenya)
	{
		return personaDAO.validar(usuari, contrassenya);
	}
	
	public List<Persona> getListPersona(){
		return personaDAO.listPersona();
	}


	@Override
	public boolean buscarPersonaByField(String camp, String valor) {
	
		return personaDAO.buscarPersonaByField(camp,valor);
	}


	@Override
	public int altaAdministrador(Persona persona) {
		
		return personaDAO.altaAdministrador(persona);
	}


	@Override
	public List<Persona> buscarPersonas(String pnom, String pcognom1,
			String pcognom2, String pdni,
			String ppoblacio, String pcodiPostal, String pusuari, Integer tipus) {
		return personaDAO.buscarPersona(pnom,pcognom1,pcognom2,pdni,ppoblacio,pcodiPostal,pusuari, tipus);
		
	}


	@Override
	public List<Persona> aniversaris(String dia, String mes) {
		
		return personaDAO.aniversaris(dia, mes);
	}


	@Override
	public List<Persona> buscarExclosos() {
		
		return personaDAO.buscarExclosos();
	}
	
}
