package bo;

import java.util.List;
import model.Servei;
import org.apache.log4j.Logger;
import dao.ServeiDAO;

public class ServeiBOImpl implements ServeiBO{
	
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(ServeiBOImpl.class);
	ServeiDAO serveiDAO;
	
	public void setServeiDAO(ServeiDAO serveiDAO)
	{		
		this.serveiDAO = serveiDAO;
	}

	public int altaServei(Servei servei)
	{	
		return serveiDAO.altaServei(servei);
	}

	
	public List<Servei> listServei()
	{
		return serveiDAO.listServei();
	}

	@Override
	public void baixaServeiById(int idServei) {
		
		serveiDAO.baixaServeiById(idServei);
	}

	@Override
	public Servei buscarServeiById(int idServei) {
		
		return serveiDAO.buscarServeiById(idServei);
	}

	@Override
	public void editarServei(Servei servei) {

		serveiDAO.editarServei(servei);
		
	}

	@Override
	public List<Servei> buscarServeis(String pnomServei, String pdescripcio,
			Integer idCategoria) {
		return serveiDAO.buscarServeis(pnomServei,pdescripcio,idCategoria);
		
	}

	@Override
	public List<Servei> listServeiAgrupats() {
		
		return serveiDAO.listServeiAgrupats();
	}
	
}
