package model;

import java.util.HashSet;
import java.util.Set;

public class Dia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private int idDies;
	private String dia;
	private Set<Disponibilitat> disponibilitats = new HashSet<Disponibilitat>(0);

	public Dia() {
	}

	public Dia(String dia) {
		this.dia = dia;
	}

	public Dia(String dia, Set<Disponibilitat> disponibilitats) {
		this.dia = dia;
		this.disponibilitats = disponibilitats;
	}

	public int getIdDies() {
		return this.idDies;
	}

	public void setIdDies(int idDies) {
		this.idDies = idDies;
	}

	public String getDia() {
		return this.dia;
	}

	public void setDia(String dia) {
		this.dia = dia;
	}

	public Set<Disponibilitat> getDisponibilitats() {
		return this.disponibilitats;
	}

	public void setDisponibilitats(Set<Disponibilitat> disponibilitats) {
		this.disponibilitats = disponibilitats;
	}

}
