package model;
import java.util.HashSet;
import java.util.Set;


public class Disponibilitat implements java.io.Serializable {

	
	private static final long serialVersionUID = 1L;
	private int idDisponibilitat;
	private Horari horari;
	private Dia dia;
	private Set<DisponibilitatHasPersona> disponibilitatHasPersonas = new HashSet<DisponibilitatHasPersona>(
			0);

	public Disponibilitat() {
	}

	public Disponibilitat(Horari horari, Dia dia) {
		this.horari = horari;
		this.dia = dia;
	}

	public Disponibilitat(Horari horari, Dia dia,
			Set<DisponibilitatHasPersona> disponibilitatHasPersonas) {
		this.horari = horari;
		this.dia = dia;
		this.disponibilitatHasPersonas = disponibilitatHasPersonas;
	}

	public int getIdDisponibilitat() {
		return this.idDisponibilitat;
	}

	public void setIdDisponibilitat(int idDisponibilitat) {
		this.idDisponibilitat = idDisponibilitat;
	}

	public Horari getHorari() {
		return this.horari;
	}

	public void setHorari(Horari horari) {
		this.horari = horari;
	}

	public Dia getDia() {
		return this.dia;
	}

	public void setDia(Dia dia) {
		this.dia = dia;
	}

	public Set<DisponibilitatHasPersona> getDisponibilitatHasPersonas() {
		return this.disponibilitatHasPersonas;
	}

	public void setDisponibilitatHasPersonas(
			Set<DisponibilitatHasPersona> disponibilitatHasPersonas) {
		this.disponibilitatHasPersonas = disponibilitatHasPersonas;
	}

}
