package model;


import java.util.Date;


public class HistoricCanvis implements java.io.Serializable {

	
	private static final long serialVersionUID = 1L;
	private int idHistoricCanvis;
	private Persona persona;
	private Date dataAlta;
	private Date dataBaixa;
	private byte tipusPersona;

	public HistoricCanvis() {
	}

	public HistoricCanvis(Persona persona, byte tipusPersona) {
		this.persona = persona;
		this.tipusPersona = tipusPersona;
	}

	public HistoricCanvis(Persona persona, Date dataAlta, Date dataBaixa,
			byte tipusPersona) {
		this.persona = persona;
		this.dataAlta = dataAlta;
		this.dataBaixa = dataBaixa;
		this.tipusPersona = tipusPersona;
	}

	public int getIdHistoricCanvis() {
		return this.idHistoricCanvis;
	}

	public void setIdHistoricCanvis(int idHistoricCanvis) {
		this.idHistoricCanvis = idHistoricCanvis;
	}

	public Persona getPersona() {
		return this.persona;
	}

	public void setPersona(Persona persona) {
		this.persona = persona;
	}

	public Date getDataAlta() {
		return this.dataAlta;
	}

	public void setDataAlta(Date dataAlta) {
		this.dataAlta = dataAlta;
	}

	public Date getDataBaixa() {
		return this.dataBaixa;
	}

	public void setDataBaixa(Date dataBaixa) {
		this.dataBaixa = dataBaixa;
	}

	public byte getTipusPersona() {
		return this.tipusPersona;
	}

	public void setTipusPersona(byte tipusPersona) {
		this.tipusPersona = tipusPersona;
	}

}
