package model;

import java.util.HashSet;
import java.util.Set;


public class Horari implements java.io.Serializable {

	
	private static final long serialVersionUID = 1L;
	private int idHorari;
	private String horari;
	private Set<Disponibilitat> disponibilitats = new HashSet<Disponibilitat>(0);

	public Horari() {
	}

	public Horari(String horari) {
		this.horari = horari;
	}

	public Horari(String horari, Set<Disponibilitat> disponibilitats) {
		this.horari = horari;
		this.disponibilitats = disponibilitats;
	}

	public int getIdHorari() {
		return this.idHorari;
	}

	public void setIdHorari(int idHorari) {
		this.idHorari = idHorari;
	}

	public String getHorari() {
		return this.horari;
	}

	public void setHorari(String horari) {
		this.horari = horari;
	}

	public Set<Disponibilitat> getDisponibilitats() {
		return this.disponibilitats;
	}

	public void setDisponibilitats(Set<Disponibilitat> disponibilitats) {
		this.disponibilitats = disponibilitats;
	}

}
