package model;


import java.util.Date;
import java.util.HashSet;
import java.util.Set;


public class Persona implements java.io.Serializable {

	
	private static final long serialVersionUID = 1L;
	private int idPersona;
	private String nom;
	private String cognom1;
	private String cognom2;
	private String contrassenya;
	private String usuari;
	private String dni;
	private String carrer;
	private String codiPostal;
	private String pis;
	private Integer porta;
	private Integer telefon1;
	private Integer telefon2;
	private Date dataNaixament;
	private String observacions;
	private String ciutat;
	private Boolean voluntari;
	private Boolean solicitant;
	private Boolean administrador;
	private String email;
	private Boolean esHome;
	private Set<Valoracio> valoracios = new HashSet<Valoracio>(0);
	private Set<HistoricCanvis> historicCanvises = new HashSet<HistoricCanvis>(
			0);
	private Set<Relaciopersonaservei> relaciopersonaserveis = new HashSet<Relaciopersonaservei>(
			0);
	private Set<DisponibilitatHasPersona> disponibilitatHasPersonas = new HashSet<DisponibilitatHasPersona>(
			0);
	private Set<Solicitud> solicitudsForVoluntariIdPersona = new HashSet<Solicitud>(
			0);
	private Set<Solicitud> solicitudsForSolicitantIdPersona1 = new HashSet<Solicitud>(
			0);

	public Persona() {
	}

	public Persona(String nom, String cognom1) {
		this.nom = nom;
		this.cognom1 = cognom1;
	}

	public Persona(String nom, String cognom1, String cognom2,
			String contrassenya, String usuari, String dni, String carrer,
			String codiPostal, String pis, Integer porta, Integer telefon1,
			Integer telefon2, Date dataNaixament, String observacions,
			String ciutat, Boolean voluntari, Boolean solicitant,
			Boolean administrador, String email, Boolean esHome,
			Set<Valoracio> valoracios, Set<HistoricCanvis> historicCanvises,
			Set<Relaciopersonaservei> relaciopersonaserveis,
			Set<DisponibilitatHasPersona> disponibilitatHasPersonas,
			Set<Solicitud> solicitudsForVoluntariIdPersona,
			Set<Solicitud> solicitudsForSolicitantIdPersona1) {
		this.nom = nom;
		this.cognom1 = cognom1;
		this.cognom2 = cognom2;
		this.contrassenya = contrassenya;
		this.usuari = usuari;
		this.dni = dni;
		this.carrer = carrer;
		this.codiPostal = codiPostal;
		this.pis = pis;
		this.porta = porta;
		this.telefon1 = telefon1;
		this.telefon2 = telefon2;
		this.dataNaixament = dataNaixament;
		this.observacions = observacions;
		this.ciutat = ciutat;
		this.voluntari = voluntari;
		this.solicitant = solicitant;
		this.administrador = administrador;
		this.email = email;
		this.esHome = esHome;
		this.valoracios = valoracios;
		this.historicCanvises = historicCanvises;
		this.relaciopersonaserveis = relaciopersonaserveis;
		this.disponibilitatHasPersonas = disponibilitatHasPersonas;
		this.solicitudsForVoluntariIdPersona = solicitudsForVoluntariIdPersona;
		this.solicitudsForSolicitantIdPersona1 = solicitudsForSolicitantIdPersona1;
	}

	public int getIdPersona() {
		return this.idPersona;
	}

	public void setIdPersona(int idPersona) {
		this.idPersona = idPersona;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public String getCognom1() {
		return this.cognom1;
	}

	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}

	public String getCognom2() {
		return this.cognom2;
	}

	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}

	public String getContrassenya() {
		return this.contrassenya;
	}

	public void setContrassenya(String contrassenya) {
		this.contrassenya = contrassenya;
	}

	public String getUsuari() {
		return this.usuari;
	}

	public void setUsuari(String usuari) {
		this.usuari = usuari;
	}

	public String getDni() {
		return this.dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}

	public String getCarrer() {
		return this.carrer;
	}

	public void setCarrer(String carrer) {
		this.carrer = carrer;
	}

	public String getCodiPostal() {
		return this.codiPostal;
	}

	public void setCodiPostal(String codiPostal) {
		this.codiPostal = codiPostal;
	}

	public String getPis() {
		return this.pis;
	}

	public void setPis(String pis) {
		this.pis = pis;
	}

	public Integer getPorta() {
		return this.porta;
	}

	public void setPorta(Integer porta) {
		this.porta = porta;
	}

	public Integer getTelefon1() {
		return this.telefon1;
	}

	public void setTelefon1(Integer telefon1) {
		this.telefon1 = telefon1;
	}

	public Integer getTelefon2() {
		return this.telefon2;
	}

	public void setTelefon2(Integer telefon2) {
		this.telefon2 = telefon2;
	}

	public Date getDataNaixament() {
		return this.dataNaixament;
	}

	public void setDataNaixament(Date dataNaixament) {
		this.dataNaixament = dataNaixament;
	}

	public String getObservacions() {
		return this.observacions;
	}

	public void setObservacions(String observacions) {
		this.observacions = observacions;
	}

	public String getCiutat() {
		return this.ciutat;
	}

	public void setCiutat(String ciutat) {
		this.ciutat = ciutat;
	}

	public Boolean getVoluntari() {
		return this.voluntari;
	}

	public void setVoluntari(Boolean voluntari) {
		this.voluntari = voluntari;
	}

	public Boolean getSolicitant() {
		return this.solicitant;
	}

	public void setSolicitant(Boolean solicitant) {
		this.solicitant = solicitant;
	}

	public Boolean getAdministrador() {
		return this.administrador;
	}

	public void setAdministrador(Boolean administrador) {
		this.administrador = administrador;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Boolean getEsHome() {
		return this.esHome;
	}

	public void setEsHome(Boolean esHome) {
		this.esHome = esHome;
	}

	public Set<Valoracio> getValoracios() {
		return this.valoracios;
	}

	public void setValoracios(Set<Valoracio> valoracios) {
		this.valoracios = valoracios;
	}

	public Set<HistoricCanvis> getHistoricCanvises() {
		return this.historicCanvises;
	}

	public void setHistoricCanvises(Set<HistoricCanvis> historicCanvises) {
		this.historicCanvises = historicCanvises;
	}

	public Set<Relaciopersonaservei> getRelaciopersonaserveis() {
		return this.relaciopersonaserveis;
	}

	public void setRelaciopersonaserveis(
			Set<Relaciopersonaservei> relaciopersonaserveis) {
		this.relaciopersonaserveis = relaciopersonaserveis;
	}

	public Set<DisponibilitatHasPersona> getDisponibilitatHasPersonas() {
		return this.disponibilitatHasPersonas;
	}

	public void setDisponibilitatHasPersonas(
			Set<DisponibilitatHasPersona> disponibilitatHasPersonas) {
		this.disponibilitatHasPersonas = disponibilitatHasPersonas;
	}

	public Set<Solicitud> getSolicitudsForVoluntariIdPersona() {
		return this.solicitudsForVoluntariIdPersona;
	}

	public void setSolicitudsForVoluntariIdPersona(
			Set<Solicitud> solicitudsForVoluntariIdPersona) {
		this.solicitudsForVoluntariIdPersona = solicitudsForVoluntariIdPersona;
	}

	public Set<Solicitud> getSolicitudsForSolicitantIdPersona1() {
		return this.solicitudsForSolicitantIdPersona1;
	}

	public void setSolicitudsForSolicitantIdPersona1(
			Set<Solicitud> solicitudsForSolicitantIdPersona1) {
		this.solicitudsForSolicitantIdPersona1 = solicitudsForSolicitantIdPersona1;
	}

}
