package model;


import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import org.apache.log4j.Logger;


public class Servei implements java.io.Serializable {

	 private static final Logger logger = Logger.getLogger(Servei.class);
	private static final long serialVersionUID = 1L;
	int idServei;
	private Categoria categoria;
	private String nomServei;
	private String descripcio;
	private Date dataAlta;
	private Date dataBaixa;
	private Set<Solicitud> solicituds = new HashSet<Solicitud>(0);
	private Set<Relaciopersonaservei> relaciopersonaserveis = new HashSet<Relaciopersonaservei>(
			0);

	public Servei() {
	}

	public Servei(Categoria categoria, String nomServei) {
		this.categoria = categoria;
		this.nomServei = nomServei;
	}

	public Servei(Categoria categoria, String nomServei, String descripcio,
			Date dataAlta, Date dataBaixa, Set<Solicitud> solicituds,
			Set<Relaciopersonaservei> relaciopersonaserveis) {
		this.categoria = categoria;
		this.nomServei = nomServei;
		this.descripcio = descripcio;
		this.dataAlta = dataAlta;
		this.dataBaixa = dataBaixa;
		this.solicituds = solicituds;
		this.relaciopersonaserveis = relaciopersonaserveis;
	}

	public int getIdServei() {
		return this.idServei;
	}

	public void setIdServei(int idServei) {
		this.idServei = idServei;
	}

	public Categoria getCategoria() {
		return this.categoria;
	}

	public void setCategoria(Categoria categoria) {
		this.categoria = categoria;
	}

	public String getNomServei() {
		return this.nomServei;
	}

	public void setNomServei(String nomServei) {
		this.nomServei = nomServei;
	}

	public String getDescripcio() {
		return this.descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public Date getDataAlta() {
		return this.dataAlta;
	}

	public void setDataAlta(Date dataAlta) {
		this.dataAlta = dataAlta;
	}

	public Date getDataBaixa() {
		return this.dataBaixa;
	}

	public void setDataBaixa(Date dataBaixa) {
		this.dataBaixa = dataBaixa;
	}

	public Set<Solicitud> getSolicituds() {
		return this.solicituds;
	}

	public void setSolicituds(Set<Solicitud> solicituds) {
		this.solicituds = solicituds;
	}

	public Set<Relaciopersonaservei> getRelaciopersonaserveis() {
		return this.relaciopersonaserveis;
	}

	public void setRelaciopersonaserveis(
			Set<Relaciopersonaservei> relaciopersonaserveis) {
		this.relaciopersonaserveis = relaciopersonaserveis;
	}

}
