package servei.actions;

import java.util.ArrayList;
import java.util.Date;
import java.util.Map;

import java.util.List;

import org.apache.log4j.Logger;
import org.apache.struts2.interceptor.SessionAware;

import bo.ServeiBO;

import com.opensymphony.xwork2.ActionSupport;



import model.Categoria;
import model.Servei;

public class ConsultarServeiAction extends ActionSupport implements SessionAware{

	private static final long serialVersionUID = 1L;
	public List<Servei> lserveis=new ArrayList<Servei>();
	private static final Logger logger = Logger.getLogger(ConsultarServeiAction.class);
	private Integer idCategoria;
	
	Integer idServei;
	String idServeiE;
	private String pnomServei;
	private String pdescripcio;	
	ServeiBO serveiBO;
	Servei servei;
	private String nomServei;
	private String descripcio;
	private Date dataAlta;
	private Categoria categoria;
	private String opcioServei;
	private Map<String, Object> map;
	
		
	public String execute() throws Exception
	{
			logger.debug("buscamos los servicios que cumplen los criterios");
			lserveis=serveiBO.buscarServeis(pnomServei,pdescripcio,idCategoria);
			 return "success";
	}	
	public String detallServei() throws Exception
	{
		servei=serveiBO.buscarServeiById(idServei);
		return "success";
	}
	public Servei getServei() {
		return servei;
	}
	public void setServei(Servei servei) {
		this.servei = servei;
	}
	public void validate()
	{
		//logger.debug("AltaServeiAction - validate()");
	}
	public Integer getIdServei() {
		return idServei;
	}

	public String getIdServeiE() {
		return idServeiE;
	}

	public void setIdServeiE(String idServeiE) {
		this.idServeiE = idServeiE;
	}

	public void setIdServei(Integer idServei) {
		this.idServei = idServei;
	}

	public ServeiBO getServeiBO() {
		return serveiBO;
	}

	public void setServeiBO(ServeiBO serveiBO) {
		this.serveiBO = serveiBO;
	}

	
		
	public List<Servei> getLserveis() {
		return lserveis;
	}

	public void setLserveis(List<Servei> lserveis) {
		this.lserveis = lserveis;
	}

	public Integer getIdCategoria() {
		return idCategoria;
	}

	public void setIdCategoria(Integer idCategoria) {
		this.idCategoria = idCategoria;
	}

	public String getPnomServei() {
		return pnomServei;
	}

	public void setPnomServei(String pnomServei) {
		this.pnomServei = pnomServei;
	}

	public String getPdescripcio() {
		return pdescripcio;
	}

	public void setPdescripcio(String pdescripcio) {
		this.pdescripcio = pdescripcio;
	}
	public String getNomServei() {
		return nomServei;
	}
	public void setNomServei(String nomServei) {
		this.nomServei = nomServei;
	}
	public String getDescripcio() {
		return descripcio;
	}
	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}
	public Date getDataAlta() {
		return dataAlta;
	}
	public void setDataAlta(Date dataAlta) {
		this.dataAlta = dataAlta;
	}
	public Categoria getCategoria() {
		return categoria;
	}
	public void setCategoria(Categoria categoria) {
		this.categoria = categoria;
	}
	public String getOpcioServei() {
		return (String)map.get("opcioServei");
	}
	public void setOpcioServei(String opcioServei) {
		this.opcioServei = opcioServei;
	}
	public Map<String, Object> getMap() {
		return map;
	}
	public void setMap(Map<String, Object> map) {
		this.map = map;
	}
	@Override
	public void setSession(Map<String, Object> map) {
		this.setMap(map);
	}
}
