package voluntari.actions;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;
import org.apache.struts2.interceptor.SessionAware;

import model.Persona;
import bo.PersonaBO;
import com.opensymphony.xwork2.ActionSupport;

import dao.PersonaDAOImpl;

public class ConsultarVoluntariAction  extends ActionSupport implements SessionAware{


	 private static final Logger logger = Logger.getLogger(ConsultarVoluntariAction.class);
	private static final long serialVersionUID = 1L;
	private String pnom;
	private String pcognom1;
	private String pcognom2;
	private String pdni;
	private String ppoblacio;
	private String pcodiPostal;
	private String pusuari;
	Integer idPersona;
	private String nom;
	private String cognom1;
	private String cognom2;
	private String dni;
	private String usuari;
	public List<Persona> lpersonas=new ArrayList<Persona>();
	Persona persona;
	private String opcioPersona;
	PersonaBO personaBO;
	private Map<String, Object> map;
	
	public String execute() throws Exception
	{
			Integer tipus=0;
			
			switch(getOpcioPersona())
			{
			case "administrador": tipus=1;	break;
			case "voluntari": 	tipus=2;	break;
			//Para el futuro se pueden aadir ms casos, como los solicitantes
			//case "solicitant": tipus=3;
			}
			
			
			logger.debug("el dni introducido es= "+pdni);
			lpersonas=personaBO.buscarPersonas(pnom,pcognom1,pcognom2,pdni,ppoblacio,pcodiPostal,pusuari, tipus);
			return "success";
	}	
	
	
	
	public String getPnom() {
		return pnom;
	}
	public void setPnom(String pnom) {
		this.pnom = pnom;
	}
	public String getPcognom1() {
		return pcognom1;
	}
	public void setPcognom1(String pcognom1) {
		this.pcognom1 = pcognom1;
	}
	public String getPcognom2() {
		return pcognom2;
	}
	public void setPcognom2(String pcognom2) {
		this.pcognom2 = pcognom2;
	}
	public String getPdni() {
		return pdni;
	}
	public void setPdni(String pdni) {
		this.pdni = pdni;
	}
	
	public String getPpoblacio() {
		return ppoblacio;
	}
	public void setPpoblacio(String ppoblacio) {
		this.ppoblacio = ppoblacio;
	}
	public String getPcodiPostal() {
		return pcodiPostal;
	}
	public void setPcodiPostal(String pcodiPostal) {
		this.pcodiPostal = pcodiPostal;
	}
	public String getPusuari() {
		return pusuari;
	}
	public void setPusuari(String pusuari) {
		this.pusuari = pusuari;
	}
	public Integer getIdPersona() {
		return idPersona;
	}
	public void setIdPersona(Integer idPersona) {
		this.idPersona = idPersona;
	}
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public String getCognom1() {
		return cognom1;
	}
	public void setCognom1(String cognom1) {
		this.cognom1 = cognom1;
	}
	public String getCognom2() {
		return cognom2;
	}
	public void setCognom2(String cognom2) {
		this.cognom2 = cognom2;
	}
	public String getDni() {
		return dni;
	}
	public void setDni(String dni) {
		this.dni = dni;
	}
	public String getUsuari() {
		return usuari;
	}
	public void setUsuari(String usuari) {
		this.usuari = usuari;
	}
	public Persona getPersona() {
		return persona;
	}
	public void setPersona(Persona persona) {
		this.persona = persona;
	}
	public PersonaBO getPersonaBO() {
		return personaBO;
	}
	public void setPersonaBO(PersonaBO personaBO) {
		this.personaBO = personaBO;
	}



	public List<Persona> getLpersonas() {
		return lpersonas;
	}
	public void setLpersonas(List<Persona> lpersonas) {
		this.lpersonas = lpersonas;
	}
	public String getOpcioPersona() {
		return (String) map.get("opcioPersona");
	}

	public void setOpcioPersona(String opcioPersona) {
		this.opcioPersona = opcioPersona;
	}
	public Map<String, Object> getMap() {
		return map;
	}
	public void setMap(Map<String, Object> map) {
		this.map = map;
	}
	@Override
	public void setSession(Map<String, Object> map) {
		this.setMap(map);
		
	}
}
